Subject: [Dots] I-D Action: draft-ietf-dots-robust-blocks-01.txt

From: [email-masked]
Date: Wed, 05 Jan 2022 02:14:07 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the DDoS Open Threat Signaling WG of the IETF.

        Title           : Distributed Denial-of-Service Open Threat Signaling (DOTS) Signal Channel Configuration Attributes for Robust Block Transmission
        Authors         : Mohamed Boucadair
                          Jon Shallow
	Filename        : draft-ietf-dots-robust-blocks-01.txt
	Pages           : 21
	Date            : 2022-01-05

Abstract:
   This document specifies new DOTS signal channel configuration
   parameters that are negotiated between DOTS peers to enable the use
   of Q-Block1 and Q-Block2 CoAP Options.  These options enable robust
   and faster transmission rates for large amounts of data with less
   packet interchanges as well as supporting faster recovery should any
   of the blocks get lost in transmission.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dots-robust-blocks/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-dots-robust-blocks-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dots-robust-blocks-01

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: <[email-masked]>
Date: Wed, 5 Jan 2022 10:21:23 +0000

Hi all,

We updated the draft with the following changes: 
* Add non-receive-timeout to the parameters that can be configured. 
* Add a reminder that the attributes are mapped to CBOR when signaled in a DOTS message
* Add new text to indicate the behavior to follow to make use of the new attributes
* Add reference statements to the YANG module
* Rearrange the text for better readability
* Updated the requested IANA range to comply with Section 3.1 of RFC9132
* Fix nits

We believe this version is ready for the WGLC. 

Cheers,
Jon & Med

> -----Message d'origine-----
> De : Dots <[email-masked]> De la part de [email-masked]
> Envoyé : mercredi 5 janvier 2022 11:14
> À : [email-masked]
> Cc : [email-masked]
> Objet : [Dots] I-D Action: draft-ietf-dots-robust-blocks-01.txt
> 
> 
>         Title           : Distributed Denial-of-Service Open Threat
> Signaling (DOTS) Signal Channel Configuration Attributes for Robust Block
> Transmission
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Valery Smyslov" <[email-masked]>
Date: Mon, 17 Jan 2022 15:50:59 +0300

Hi Med, Jon,

before issuing WGLC I'd like to request an early YANG Doctors review.

I'll do it shortly.

Regards,
Valery.